#include <stdio.h>
#include <version.h>

void
generate_rcfile(){
  printf("# Updated by %s %s, %s\n", program_name, version_string, "Thu Dec 18 09:40:29 EST 2008");
  printf("# Copyright (C) %s by %s <%s>, et al.\n", years, author_name, email_address);
  printf("# This is free software; see the source for copying conditions.\n");
  printf("# There is NO warranty; not even for MERCHANTABILITY or FITNESS\n");
  printf("# FOR A PARTICULAR PURPOSE.\n");
  puts("");
  puts("# [GENERAL SETTINGS]");
  puts("# debug - this directive turns on debugging information.");
  puts("# values: true or false");
  puts("# example: debug = true");
  puts("debug = false");
  puts("");
  puts("# timeout - this value sets the socket timeout in seconds. High values will");
  puts("# increase chances of connecting with hosts but they will also lengthen the");
  puts("# duration of the scan.");
  puts("# values: number from 1 to N (default: 1)");
  puts("timeout = 1");
  puts("");
  puts("# [NETSCANS] ");
  puts("# protocol - set the network protocol for for network scans. Your options are");
  puts("# icmp which is essentially a ping and tcpip which relies on socket discovery.");
  puts("# You must be root or the program must be setuid root in order to leverage icmp");
  puts("# protocol. It is must faster than tcpip");
  puts("# values: icmp or tcpip");
  puts("protocol = icmp");
  puts("");
  puts("# ports - set the port numbers you want to explore during network discovery.");
  puts("# This option applies only to tcpip protocol. When that protocol is set, the");
  puts("# the scan attempts to create a socket with each of the ports on this list. It");
  puts("# it continues until it opens a connection or exhausts the list.");
  puts("# values: a comma separated list of numbers, i.e., 7,21,25,80,443");
  puts("# ports = 7, 21, 22, 23, 25, 37, 80, 110, 387, 443");
  puts("");
  puts("# [PORTSCANS]");
  puts("# lower - on ports scans, the program scans a range of ports from 'lower' to");
  puts("# 'upper' incrementally. This option sets the lower range of the portscan.");
  puts("# values: number (default: 1)");
  puts("# lower = 1");
  puts("");
  puts("# upper - set the upper range of a portscan");
  puts("# values: number (default: 1024)");
  puts("# upper = 1024");
  puts("");
  return;
} 
#if 0
lower = 10
upper = 2048
#endif
