#ifndef __NETWORK_H
#define __NETWORK_H

#include <stdio.h>
#include <unistd.h>

#include <joedog/joedog.h>
#include <joedog/defs.h>
#include <joedog/boolean.h>

typedef struct NETWORK_T *NETWORK;
typedef enum { FIRST=0, SECOND=1, THIRD=2, FOURTH=3 } OCTET;


NETWORK  new_network();
void     network_destroy(NETWORK this);
char     *network_get_address(NETWORK this);
int      network_get_octet(NETWORK this, OCTET o);

#endif/*__NETWORK_H*/

